#!/bin/sh
if [ $# -eq 0 -o x$1 = xstart ]; then
   if [ -x /usr/local/news/bin/rc.news -a -f /usr/local/news/db/history.pag ]; then
      su news -c /usr/local/news/bin/rc.news && echo ' inn'
   fi
fi
if [ x$1 = xstop ]; then
   /usr/local/news/bin/ctlinnd shutdown machine is going down
fi
